using CvMatcher.Models.Requests;
using CvMatcher.Models.Responses;
using Refit;

namespace Api.Clients.Api.Contracts;

public interface IJobSearchApi
{
    [Post("/api/cv/job-search/token")]
    Task<CreateJobSearchTokenResponse> CreateTokenAsync([Body] CreateJobSearchTokenRequest request, CancellationToken ct);

    [Post("/api/cv/job-search/token/{tokenId}/start")]
    Task<StartJobSearchResponse> StartSearchAsync(string tokenId, [Body] StartJobSearchRequest request, CancellationToken ct);
}
